Name:           fritzing
Version:        0.7.11b
Release:        2%{?dist}
Summary:        Electronic Design Automation software; from prototype to product

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://fritzing.org/
Source0:        http://fritzing.org/download/%{version}/source-tarball/%{name}-%{version}.source.tar.bz2
Source1:        fritzing.desktop
# Fedora-specific patch to remove bundled third-party libraries, and use
# system-wide versions instead.
Patch0:         fritzing-use-external-libs.patch
# Fedora-specific patch to disable internal auto-updating feature.
Patch1:         fritzing-disable-autoupdate.patch
# Build bug with relative paths in the panelizer.
Patch2:		fritzing-panelizer-relative-include.patch
# Backport of part of r6773 from upstream, to fix startup problems with missing parts.db.
Patch3:		fritzing-fix-missing-parts.patch

BuildRequires:  qt4-devel qt-webkit-devel desktop-file-utils boost-devel quazip-devel minizip-devel
Requires:       electronics-menu
Requires:       google-droid-sans-fonts
Requires:       google-droid-sans-mono-fonts

%description
Fritzing is an open-source initiative to support designers, artists,
researchers and hobbyists to take the step from physical prototyping
to actual product. It is in the spirit of Processing and Arduino which
allows users to document their Arduino and other electronic-based 
prototypes, and to create a PCB layout for manufacturing.

%prep
%setup -q -n %{name}-%{version}.source
rm -f pri/quazip.pri
rm -rf src/lib/boost_1_43_0
rm -rf src/lib/quazip

sed -i 's/\r//' README.txt
sed -i 's/\r//' LICENSE.CC-BY-SA

%patch0 -p1 -b .ext-libs
%patch1 -p1 -b .disable-updates
%patch2 -p1 -b .panelizer-relative-include
%patch3 -p1 -b .fix-missing-parts

%build
CXXFLAGS="%{optflags}"
%{_qt4_qmake}
make %{?_smp_mflags} V=1

%install
make install INSTALL_ROOT=%{buildroot}

# A few files in /usr/share/fritzing end up executable.
find %{buildroot}%{_datadir}/%{name} -type f -exec %{__chmod} 644 {} \;
find %{buildroot}%{_datadir}/%{name} -type d -exec %{__chmod} 755 {} \;

# Icon is dumped in /usr/share/icons by default, need to move it.
mv %{buildroot}%{_datadir}/icons %{buildroot}%{_datadir}/pixmaps

# Included .desktop file is suitable for SuSE, not Fedora.
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.GPL2 LICENSE.GPL3 LICENSE.CC-BY-SA
%{_bindir}/Fritzing
%{_datadir}/%{name}
%{_datadir}/applications/fritzing.desktop
%{_datadir}/pixmaps/fritzing.png
%{_mandir}/man?/*

%changelog
* Tue Jan  8 2013 Ed Marshall <esm@logic.net> - 0.7.11b-2
- Backport upstream patch for gracefully handling missing parts database.

* Mon Jan  7 2013 Ed Marshall <esm@logic.net> - 0.7.11b-1
- Updated to 0.7.11b release.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul  3 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.7.5b-1
- Updated to 0.7.5b release.
- Update patches
- Cleanup and modernise spec

* Sat Mar 10 2012 Ed Marshall <esm@logic.net> - 0.7.1b-1
- Updated to 0.7.1b release.

* Fri Feb  3 2012 Ed Marshall <esm@logic.net> - 0.7.0b-1
- Add Droid font requirement.
- Updated to 0.7.0b release.

* Wed Jan  4 2012 Ed Marshall <esm@logic.net> - 0.6.5b-2
- Make rpmlint happier with line-endings on documentation.

* Wed Jan  4 2012 Ed Marshall <esm@logic.net> - 0.6.5b-1
- Updated to 0.6.5b release.

* Tue Dec 20 2011 Ed Marshall <esm@logic.net> - 0.6.4b-2
- Add LICENSE.CC-BY-SA to package.
- Add minizip-devel as a build dependency.

* Sat Dec 17 2011 Ed Marshall <esm@logic.net> - 0.6.4b-1
- Updated to 0.6.4b release.

* Thu Feb 24 2011 Ed Marshall <esm@logic.net> - 0.5.2b-1
- Updated to 0.5.2b release.

* Thu Feb 17 2011 Ed Marshall <esm@logic.net> - 0.5.1b-3
- Add patch to remove auto-update feature.

* Tue Feb 15 2011 Ed Marshall <esm@logic.net> - 0.5.1b-2
- Fixed hard-coded path to qtlockedfile qmake project file (fixes x86_64).

* Tue Feb 15 2011 Ed Marshall <esm@logic.net> - 0.5.1b-1
- Updated to 0.5.1b release
- Don't manually strip resulting executables
- Don't bundle third-party libraries; use Fedora-provided libs
- Provide CXXFLAGS to qmake
- Updated summary to be a little closer to the Fritzing tagline

* Mon Feb 14 2011 Ed Marshall <esm@logic.net> - 0.5.0b-1
- Updated to latest release
- zlib patch included upstream, removed from RPM

* Mon Dec 6 2010 Ed Marshall <esm@logic.net> - 0.4.3b-1
- Updated to latest release
- Added desktop file, and install icon
- Include man page (from Debian)
- Patch to set application folder location to /usr/share/fritzing, instead of
  being relative to the binary directory (from Debian)

* Tue Jul 7 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.5b-1
- initial package for Fedora
